org.springframework.cloud.dataflow.server.controller.assembler

## Class DefaultStreamDefinitionAssemblerProvider

- java.lang.Object
- - org.springframework.cloud.dataflow.server.controller.assembler.DefaultStreamDefinitionAssemblerProvider

- All Implemented Interfaces:
    StreamDefinitionAssemblerProvider<StreamDefinitionResource>

      public class DefaultStreamDefinitionAssemblerProvider
      extends Object
      implements StreamDefinitionAssemblerProvider<StreamDefinitionResource>

  Author:
    Ilayaperumal Gopinathan

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected StreamDefinitionService` | `streamDefinitionService`
    `protected StreamService` | `streamService`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultStreamDefinitionAssemblerProvider(StreamDefinitionService streamDefinitionService, StreamService streamService)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DefaultStreamDefinitionAssembler` | `getStreamDefinitionAssembler(List<StreamDefinition> streamDefinitions)` Get the stream definition resource assembler.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### streamDefinitionService

          protected final StreamDefinitionService streamDefinitionService

    - #### streamService

          protected final StreamService streamService

  - ### Constructor Detail

    - #### DefaultStreamDefinitionAssemblerProvider

          public DefaultStreamDefinitionAssemblerProvider(StreamDefinitionService streamDefinitionService,
                                                          StreamService streamService)

  - ### Method Detail

    - #### getStreamDefinitionAssembler

          public DefaultStreamDefinitionAssembler getStreamDefinitionAssembler(List<StreamDefinition> streamDefinitions)

      Description copied from interface: `StreamDefinitionAssemblerProvider`
      Get the stream definition resource assembler.
      Specified by:
        `getStreamDefinitionAssembler` in interface `StreamDefinitionAssemblerProvider<StreamDefinitionResource>`
      Parameters:
        `streamDefinitions` - the list of stream definitions to check their deployment status
      Returns:
        the stream definition resource assembler

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.